%define rev	svn20131025

Name:		acetoneiso
Version:	2.4
Release:	%mkrel -c %{rev} 2
Summary:	CD/DVD Image Manipulator
Group:		Archiving/Cd burning
License:	GPLv3
URL:		https://sourceforge.net/p/acetoneiso
Source0:	%{name}-%{version}-%{rev}.tar.gz
Source1:	%{name}_ru.ts
Patch0:		%{name}-2.3-mga-desktop-file.patch
Patch1:		%{name}-2.4-mga-youtube-metacafe.patch
Patch2:		%{name}-2.4-mga-unrar.patch
Patch3:		%{name}-2.4-deb-add_manpage.patch
Patch4:		%{name}-2.4-deb-remove_defunct_homepage.patch
Patch5:		%{name}-2.4-deb-correct-spelling-errors.patch
Patch6:		%{name}-2.4-deb-translate.patch
Patch7:		%{name}-2.4-size-localized-strings.patch
Patch8:		%{name}-2.4-qt5.patch
Patch9:		%{name}-2.4-qttranslations.patch
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5WebKit)
BuildRequires:	pkgconfig(Qt5WebKitWidgets)
BuildRequires:	pkgconfig(QtWebKit)
BuildRequires:	qttools5
Requires:	p7zip
Requires:	cdrdao
Requires:	fuseiso
Requires:	fuse
Requires:	cdrkit
Requires:	cdrkit-genisoimage
Requires:	gnupg2
Requires:	pinentry-qt5
Requires:	aria2
Requires:	wget
Requires:	ffmpeg
Requires:	dvd+rw-tools
Requires:	mencoder
Requires:	xorriso
Requires:	cdparanoia
#Requires:	ciso
Requires:	qttranslations5

%description
AcetoneISO2: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most commonly-used media players
- Generate an ISO from a Folder or CD/DVD
- Generate/Check MD5 file of an image
- Encrypt/decrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q -n %{name}-%{version}-%{rev}
%autopatch -p1
chmod -x %{name}/menu/*.desktop
#fix spurious-executable-perm
chmod -x %{name}/sources/*.h
cp -f %{SOURCE1} ./%{name}/locale/

%build
pushd %{name}
%{_qt5_bindir}/lrelease %{name}.pro
%qmake_qt5
%make_build
popd

%install
pushd %{name}
%make_install INSTALL_ROOT=%{buildroot}
install -Dm644 ./manual/%{name}.1 %{buildroot}/%{_mandir}/man1/%{name}.1
popd

%files
%doc AUTHORS CHANGELOG FEATURES README
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/AcetoneISO.desktop
%{_datadir}/pixmaps/Acetino2.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 2.4-0.svn20131025.2.mga6
+ Revision: 1075983
- switch now to pinentry-qt5

* Sun Mar 20 2016 alexl <alexl> 2.4-0.svn20131025.1.mga6
+ Revision: 993163
- update Russian translation from launchpad
- switch on qt5
- fix size for localized strings
- use qt translations from qttranslations5
- the latest svn snapshot
- update URL tag, remove defunct homepage
- del deprecated phonon
- rediff youtube-metacafe.patch
- fix unrar executable (unrar.patch)
- add manpage from Debian
- correct spelling errors
- merge translations with Debian (translate.patch)
- add more Requires
- fix spurious-executable-perm (rpmlint)
- use %%license tag for license

* Sun Feb 21 2016 alexl <alexl> 2.3-12.mga6
+ Revision: 975489
- fix download from youtube and metacafe

* Sat Feb 13 2016 umeabot <umeabot> 2.3-11.mga6
+ Revision: 959477
- Mageia 6 Mass Rebuild

* Fri Oct 30 2015 blino <blino> 2.3-10.mga6
+ Revision: 896547
- explicitely buildrequire phonon-devel (dep removed from qt4-devel)

* Fri Feb 06 2015 alexl <alexl> 2.3-9.mga5
+ Revision: 813694
- added Brazilian Portuguese translation

* Fri Feb 06 2015 alexl <alexl> 2.3-8.mga5
+ Revision: 813684
- updated translations from upstream
- added Comment and translations in desktop file
- cleanup spec

* Wed Oct 15 2014 umeabot <umeabot> 2.3-7.mga5
+ Revision: 739782
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.3-6.mga5
+ Revision: 677684
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.3-5.mga4
+ Revision: 502442
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.3-4.mga3
+ Revision: 345222
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Oct 20 2012 malo <malo> 2.3-3.mga3
+ Revision: 308510
- update RPM group

* Sun Dec 18 2011 fwang <fwang> 2.3-2.mga2
+ Revision: 183621
- br qtwebkit

* Wed Apr 13 2011 juancho <juancho> 2.3-1.mga1
+ Revision: 84146
- imported package acetoneiso


* Mon Nov 29 2010 Juan Luis Baptiste <juan.baptiste@gmail.com> 2.3-1.mga1
- Initial import 

* Mon Nov 29 2010 Juan Luis Baptiste <juancho@mandriva.org> 2.3-1mdv2011.0
+ Revision: 603057
- Updated to 2.3

* Mon Oct 04 2010 Funda Wang <fwang@mandriva.org> 2.2.2-1mdv2011.0
+ Revision: 582936
- New version 2.2.2

* Wed Dec 23 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.2.1-1mdv2010.1
+ Revision: 481910
- Patch to fix phonon includes in some sources.
- Updated to 2.2.1. Needed patch to fix phonon includes in some sources.

* Tue Sep 22 2009 Juan Luis Baptiste <juancho@mandriva.org> 2.1.1-1mdv2010.0
+ Revision: 447103
- Initial import based on mandrivauser.de package.


